# Users resource

> \[!IMPORTANT]
>
> The Push Notifications API is currently available as a
> Private Beta product. The information contained in this document is subject to change. You acknowledge
> and agree that your use of the Twilio Push Notifications API is subject to the terms of the [Services in
> Private Beta](https://www.twilio.com/en-us/legal/service-country-specific-terms/private-beta). This
> means that some features are not yet implemented and others may be changed before the product is
> declared as Generally Available. Private Beta products are not covered by the Twilio Support Terms or
> Twilio Service Level Agreement.

A User stores an end user's device tokens as [DeviceRegistrations](/docs/push-notifications/api/device-registration-resource) in the Push Notifications API. The API creates a new User automatically when you [register a device](/docs/push-notifications/api/device-registration-resource#register-a-device) and omit the `userId`.

You can send notifications to a User by providing their `userId` in the `to` array when [sending a notification](/docs/push-notifications/api/notification-resource#send-a-notification). The API delivers the notification to all devices registered to that User.

## User Properties

<OperationTable type="properties" data={{"x-twilio-version":1,"title":"PushNotificationUser","type":"object","description":"A User represents an end-user who can receive push notifications. Users can have multiple devices per Device Registration set and multiple Device Registration sets (one per App).","required":["id","related","createdAt","updatedAt","deletedAt"],"refName":"PushNotificationUser","modelName":"PushNotificationUser","properties":{"id":{"x-twilio-version":1,"title":"PushNotificationUserId","description":"A reference to a Push Notification User.","type":"string","pattern":"^comms_pushnotificationuser_[0-7][a-hjkmnpqrstv-z0-9]{25,34}","example":"comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8","refName":"PushNotificationUserId","modelName":""},"createdAt":{"type":"string","format":"date-time","description":"The date and time the User was created."},"updatedAt":{"type":"string","format":"date-time","description":"The date and time the User was last updated."},"deletedAt":{"type":["string","null"],"format":"date-time","description":"The date and time the User was deleted, if applicable."}}}} />

## Fetch a User

`GET https://comms.twilio.com/v1/PushNotifications/Users/{userId}`

Retrieve a single User resource by making an HTTP `GET` request to the User resource URI with the User ID.

### Path parameters

```json
[{"schema":{"x-twilio-version":1,"title":"PushNotificationUserId","description":"A reference to a Push Notification User.","type":"string","pattern":"^comms_pushnotificationuser_[0-7][a-hjkmnpqrstv-z0-9]{25,34}","example":"comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8","refName":"PushNotificationUserId","modelName":""},"x-twilio-version":1,"name":"userId","in":"path","required":true}]
```

### Responses

<OperationResponse responses={[{"responseCode":"200","schema":{"description":"OK","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"PushNotificationUser","type":"object","description":"A User represents an end-user who can receive push notifications. Users can have multiple devices per Device Registration set and multiple Device Registration sets (one per App).","required":["id","related","createdAt","updatedAt","deletedAt"],"refName":"PushNotificationUser","modelName":"PushNotificationUser","properties":{"id":{"x-twilio-version":1,"title":"PushNotificationUserId","description":"A reference to a Push Notification User.","type":"string","pattern":"^comms_pushnotificationuser_[0-7][a-hjkmnpqrstv-z0-9]{25,34}","example":"comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8","refName":"PushNotificationUserId","modelName":""},"createdAt":{"type":"string","format":"date-time","description":"The date and time the User was created."},"updatedAt":{"type":"string","format":"date-time","description":"The date and time the User was last updated."},"deletedAt":{"type":["string","null"],"format":"date-time","description":"The date and time the User was deleted, if applicable."}}},"examples":{"FetchUser":{"summary":"Fetch User","value":{"lang":"json","value":"{\n  \"id\": \"comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8\",\n  \"related\": [],\n  \"createdAt\": \"2024-01-15T14:15:22Z\",\n  \"updatedAt\": \"2024-01-15T14:15:22Z\",\n  \"deletedAt\": null\n}","meta":"","code":"{\n  \"id\": \"comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8\",\n  \"related\": [],\n  \"createdAt\": \"2024-01-15T14:15:22Z\",\n  \"updatedAt\": \"2024-01-15T14:15:22Z\",\n  \"deletedAt\": null\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"id\"","#7EE787"],[":","#C9D1D9"]," ",["\"comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8\"","#A5D6FF"],[",","#C9D1D9"],"\n  ",["\"related\"","#7EE787"],[": [],","#C9D1D9"],"\n  ",["\"createdAt\"","#7EE787"],[":","#C9D1D9"]," ",["\"2024-01-15T14:15:22Z\"","#A5D6FF"],[",","#C9D1D9"],"\n  ",["\"updatedAt\"","#7EE787"],[":","#C9D1D9"]," ",["\"2024-01-15T14:15:22Z\"","#A5D6FF"],[",","#C9D1D9"],"\n  ",["\"deletedAt\"","#7EE787"],[":","#C9D1D9"]," ",["null","#79C0FF"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}}}},{"responseCode":"400","schema":{"x-twilio-version":1,"description":"This error indicates that the request content was malformed or ambiguous.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"ResourceNotFound":{"summary":"Resource not found","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20404,\n      \"message\": \"Not Found\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20404\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20404,\n      \"message\": \"Not Found\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20404\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20404","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"Not Found\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20404\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"refName":"#/components/responses/Http400Response","modelName":"__components_responses_Http400Response"}},{"responseCode":"404","schema":{"x-twilio-version":1,"description":"This error indicates that the requested resource was not found.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"ResourceNotFound":{"summary":"404 Response","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20404,\n      \"message\": \"The resource was not found.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20404\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20404,\n      \"message\": \"The resource was not found.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20404\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20404","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The resource was not found.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20404\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"refName":"#/components/responses/Http404Response","modelName":"__components_responses_Http404Response"}},{"responseCode":"429","schema":{"x-twilio-version":1,"description":"This error indicates that you have sent too many requests to the API. You should retry according to the `Retry-After` response header.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"TooManyRequests":{"summary":"Too Many Requests","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20429,\n      \"message\": \"Too many requests. Please retry according to the Retry-After response header.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20429\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20429,\n      \"message\": \"Too many requests. Please retry according to the Retry-After response header.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20429\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20429","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"Too many requests. Please retry according to the Retry-After response header.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20429\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"headers":{"Retry-After":{"schema":{"type":"string"},"description":"The amount of time in seconds that the customer should wait before issuing a new request towards the API."}},"refName":"#/components/responses/Http429Response","modelName":"__components_responses_Http429Response"}},{"responseCode":"500","schema":{"x-twilio-version":1,"description":"This error indicates that the Twilio API is experiencing server-side issues. The request should not be retried.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"InternalServerError":{"summary":"Internal Server Error","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20500,\n      \"message\": \"Internal server error.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20500\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20500,\n      \"message\": \"Internal server error.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20500\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20500","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"Internal server error.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20500\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"refName":"#/components/responses/Http500Response","modelName":"__components_responses_Http500Response"}},{"responseCode":"503","schema":{"x-twilio-version":1,"description":"This error indicates that the Twilio API is temporarily unavailable.  You should retry according to the `Retry-After` response header.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"ServiceUnavailable":{"summary":"Service Unavailable","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20503,\n      \"message\": \"Service unavailable.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20503\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20503,\n      \"message\": \"Service unavailable.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20503\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20503","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"Service unavailable.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20503\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"headers":{"Retry-After":{"schema":{"type":"string"},"description":"The amount of time in seconds that the customer should wait before issuing a new request towards the API."}},"refName":"#/components/responses/Http503Response","modelName":"__components_responses_Http503Response"}}]} path="https://comms.twilio.com/v1/PushNotifications/Users/{userId}" method="get" specType="comms" />

Fetch a PushNotification User

```ts
import { TwilioClient } from "twilio-comms";

async function main() {
    const client = new TwilioClient({
        accountId: "<username>",
        authToken: "<password>",
    });
    await client.pushNotifications.users.fetch("comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8");
}
main();
```

```py
from twilio import TwilioComms

client = TwilioComms(
    account_id="<username>",
    auth_token="<password>",
)

client.push_notifications.users.fetch(
    user_id="comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8",
)
```

```cs
using TwilioComms;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new TwilioCommsClient(
            accountId: "<username>",
            authToken: "<password>"
        );

        await client.PushNotifications.Users.FetchAsync(
            "comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8"
        );
    }

}
```

```java
package com.example.usage;

import com.twilio.comms.TwilioCommsClient;

public class Example {
    public static void main(String[] args) {
        TwilioCommsClient client = TwilioCommsClient
            .builder()
            .credentials("<username>", "<password>")
            .build();

        client.pushNotifications().users().fetch("comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8");
    }
}
```

```go
package example

import (
    context "context"

    client "github.com/twilio/twilio-comms-go/twilio/client"
    option "github.com/twilio/twilio-comms-go/twilio/option"
)

func do() {
    client := client.NewWithOptions(
        option.WithBasicAuth(
            "<username>",
            "<password>",
        ),
    )
    client.PushNotifications.Users.Fetch(
        context.TODO(),
        "comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8",
    )
}
```

```php
<?php

namespace Example;

use Twilio\TwilioComms;

$client = new TwilioComms(
    accountId: '<username>',
    authToken: '<password>',
);
$client->pushNotifications->users->fetch(
    'comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8',
);
```

```rb
require "twilio"

client = Twilio::Client.new(
  account_id: "<username>",
  auth_token: "<password>"
)

client.push_notifications.users.fetch(user_id: "comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8")
```

```bash
curl 'https://comms.twilio.com/v1/PushNotifications/Users/{userId}' \
-u $TWILIO_ACCOUNT_SID:$TWILIO_AUTH_TOKEN
```

## List Users

`GET https://comms.twilio.com/v1/PushNotifications/Users`

Returns a list of all push notification Users associated with your account.

### Query parameters

```json
[{"in":"query","name":"pageToken","description":"The token to retrieve the next page of results.","schema":{"x-twilio-version":1,"description":"The token that identifies the page of resources to fetch.","title":"PageToken","type":"string","refName":"PageToken","modelName":""}},{"in":"query","name":"pageSize","description":"The number of resources to return in a page.","schema":{"x-twilio-version":1,"description":"Total number of items returned in a single page, the minimum is 1 and maximum is 1000. Default is 50.","title":"PageSize","type":"integer","minimum":1,"maximum":1000,"default":50,"example":50,"refName":"PageSize","modelName":""}}]
```

### Responses

<OperationResponse responses={[{"responseCode":"200","schema":{"description":"OK","content":{"application/json":{"schema":{"title":"ListPushNotificationUsersResponse","type":"object","required":["users","pagination"],"properties":{"users":{"type":"array","items":{"x-twilio-version":1,"title":"PushNotificationUser","type":"object","description":"A User represents an end-user who can receive push notifications. Users can have multiple devices per Device Registration set and multiple Device Registration sets (one per App).","required":["id","related","createdAt","updatedAt","deletedAt"],"refName":"PushNotificationUser","modelName":"PushNotificationUser","properties":{"id":{"x-twilio-version":1,"title":"PushNotificationUserId","description":"A reference to a Push Notification User.","type":"string","pattern":"^comms_pushnotificationuser_[0-7][a-hjkmnpqrstv-z0-9]{25,34}","example":"comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8","refName":"PushNotificationUserId","modelName":""},"createdAt":{"type":"string","format":"date-time","description":"The date and time the User was created."},"updatedAt":{"type":"string","format":"date-time","description":"The date and time the User was last updated."},"deletedAt":{"type":["string","null"],"format":"date-time","description":"The date and time the User was deleted, if applicable."}}}},"pagination":{"x-twilio-version":1,"title":"PaginationMetadata","description":"Metadata for paginated results. \nThis object contains two tokens to navigate through paginated results. \n- Use `next` to retrieve the 'next' page in the result list.\n- Use `self` to retrieve the same page of the result list again. \n- Supply the token in the `pageToken` query param.","type":"object","required":["next","self"],"refName":"PaginationMetadata","modelName":"PaginationMetadata","properties":{"next":{"description":"Token for the next page of results. \nSupply the token in the `pageToken` query param.","type":["string","null"]},"self":{"description":"Token for the current page of results. \nSupply the token in the `pageToken` query param.","type":"string"}}}}},"examples":{"ListOfUsers":{"x-twilio-version":1,"summary":"List of Push Notification Users","value":{"lang":"json","value":"{\n  \"users\": [\n    {\n      \"id\": \"comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8\",\n      \"related\": [],\n      \"createdAt\": \"2024-01-15T14:15:22Z\",\n      \"updatedAt\": \"2024-01-15T14:15:22Z\",\n      \"deletedAt\": null\n    },\n    {\n      \"id\": \"comms_pushnotificationuser_08fzqspvwy6nq801h9krwprkeee\",\n      \"related\": [],\n      \"createdAt\": \"2024-01-16T10:00:00Z\",\n      \"updatedAt\": \"2024-01-16T10:00:00Z\",\n      \"deletedAt\": null\n    }\n  ],\n  \"pagination\": {\n    \"next\": null,\n    \"self\": \"eyJTSyI6IkEjMDFqbmVoYm5xYWZmNDlrazUxZHA1bmN5bXciLCJTSzEiOiJBI2FjdGl2YXRlZCMyMDI1LTAzLTAzVDE3OjM3OjQ3WiMwMWpuZWhibnFhZmY0OWtrNTFkcDVuY3ltdyIsIlBLIjoiQyNBQzYwMzg4ODJiZDY5ZWIyNGM4YzU4ZGI5NjE4NjE3OTE4I0EifQ==\"\n  }\n}","meta":"","code":"{\n  \"users\": [\n    {\n      \"id\": \"comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8\",\n      \"related\": [],\n      \"createdAt\": \"2024-01-15T14:15:22Z\",\n      \"updatedAt\": \"2024-01-15T14:15:22Z\",\n      \"deletedAt\": null\n    },\n    {\n      \"id\": \"comms_pushnotificationuser_08fzqspvwy6nq801h9krwprkeee\",\n      \"related\": [],\n      \"createdAt\": \"2024-01-16T10:00:00Z\",\n      \"updatedAt\": \"2024-01-16T10:00:00Z\",\n      \"deletedAt\": null\n    }\n  ],\n  \"pagination\": {\n    \"next\": null,\n    \"self\": \"eyJTSyI6IkEjMDFqbmVoYm5xYWZmNDlrazUxZHA1bmN5bXciLCJTSzEiOiJBI2FjdGl2YXRlZCMyMDI1LTAzLTAzVDE3OjM3OjQ3WiMwMWpuZWhibnFhZmY0OWtrNTFkcDVuY3ltdyIsIlBLIjoiQyNBQzYwMzg4ODJiZDY5ZWIyNGM4YzU4ZGI5NjE4NjE3OTE4I0EifQ==\"\n  }\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"users\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"id\"","#7EE787"],[":","#C9D1D9"]," ",["\"comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"related\"","#7EE787"],[": [],","#C9D1D9"],"\n      ",["\"createdAt\"","#7EE787"],[":","#C9D1D9"]," ",["\"2024-01-15T14:15:22Z\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"updatedAt\"","#7EE787"],[":","#C9D1D9"]," ",["\"2024-01-15T14:15:22Z\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"deletedAt\"","#7EE787"],[":","#C9D1D9"]," ",["null","#79C0FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"id\"","#7EE787"],[":","#C9D1D9"]," ",["\"comms_pushnotificationuser_08fzqspvwy6nq801h9krwprkeee\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"related\"","#7EE787"],[": [],","#C9D1D9"],"\n      ",["\"createdAt\"","#7EE787"],[":","#C9D1D9"]," ",["\"2024-01-16T10:00:00Z\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"updatedAt\"","#7EE787"],[":","#C9D1D9"]," ",["\"2024-01-16T10:00:00Z\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"deletedAt\"","#7EE787"],[":","#C9D1D9"]," ",["null","#79C0FF"],"\n    ",["}","#C9D1D9"],"\n  ",["],","#C9D1D9"],"\n  ",["\"pagination\"","#7EE787"],[": {","#C9D1D9"],"\n    ",["\"next\"","#7EE787"],[":","#C9D1D9"]," ",["null","#79C0FF"],[",","#C9D1D9"],"\n    ",["\"self\"","#7EE787"],[":","#C9D1D9"]," ",["\"eyJTSyI6IkEjMDFqbmVoYm5xYWZmNDlrazUxZHA1bmN5bXciLCJTSzEiOiJBI2FjdGl2YXRlZCMyMDI1LTAzLTAzVDE3OjM3OjQ3WiMwMWpuZWhibnFhZmY0OWtrNTFkcDVuY3ltdyIsIlBLIjoiQyNBQzYwMzg4ODJiZDY5ZWIyNGM4YzU4ZGI5NjE4NjE3OTE4I0EifQ==\"","#A5D6FF"],"\n  ",["}","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}}}},{"responseCode":"400","schema":{"x-twilio-version":1,"description":"This error indicates that the request content was malformed or ambiguous.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"ResourceNotFound":{"summary":"Resource not found","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20404,\n      \"message\": \"Not Found\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20404\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20404,\n      \"message\": \"Not Found\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20404\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20404","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"Not Found\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20404\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"refName":"#/components/responses/Http400Response","modelName":"__components_responses_Http400Response"}},{"responseCode":"429","schema":{"x-twilio-version":1,"description":"This error indicates that you have sent too many requests to the API. You should retry according to the `Retry-After` response header.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"TooManyRequests":{"summary":"Too Many Requests","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20429,\n      \"message\": \"Too many requests. Please retry according to the Retry-After response header.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20429\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20429,\n      \"message\": \"Too many requests. Please retry according to the Retry-After response header.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20429\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20429","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"Too many requests. Please retry according to the Retry-After response header.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20429\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"headers":{"Retry-After":{"schema":{"type":"string"},"description":"The amount of time in seconds that the customer should wait before issuing a new request towards the API."}},"refName":"#/components/responses/Http429Response","modelName":"__components_responses_Http429Response"}},{"responseCode":"500","schema":{"x-twilio-version":1,"description":"This error indicates that the Twilio API is experiencing server-side issues. The request should not be retried.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"InternalServerError":{"summary":"Internal Server Error","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20500,\n      \"message\": \"Internal server error.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20500\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20500,\n      \"message\": \"Internal server error.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20500\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20500","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"Internal server error.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20500\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"refName":"#/components/responses/Http500Response","modelName":"__components_responses_Http500Response"}},{"responseCode":"503","schema":{"x-twilio-version":1,"description":"This error indicates that the Twilio API is temporarily unavailable.  You should retry according to the `Retry-After` response header.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"ServiceUnavailable":{"summary":"Service Unavailable","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20503,\n      \"message\": \"Service unavailable.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20503\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20503,\n      \"message\": \"Service unavailable.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20503\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20503","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"Service unavailable.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20503\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"headers":{"Retry-After":{"schema":{"type":"string"},"description":"The amount of time in seconds that the customer should wait before issuing a new request towards the API."}},"refName":"#/components/responses/Http503Response","modelName":"__components_responses_Http503Response"}}]} path="https://comms.twilio.com/v1/PushNotifications/Users" method="get" specType="comms" />

List PushNotification Users

```ts
import { TwilioClient } from "twilio-comms";

async function main() {
    const client = new TwilioClient({
        accountId: "<username>",
        authToken: "<password>",
    });
    await client.pushNotifications.users.list({
        pageToken: "pageToken",
        pageSize: 50,
    });
}
main();
```

```py
from twilio import TwilioComms

client = TwilioComms(
    account_id="<username>",
    auth_token="<password>",
)

client.push_notifications.users.list(
    page_token="pageToken",
    page_size=50,
)
```

```cs
using TwilioComms;
using System.Threading.Tasks;
using TwilioComms.PushNotifications;

public partial class Examples
{
    public async Task Example() {
        var client = new TwilioCommsClient(
            accountId: "<username>",
            authToken: "<password>"
        );

        await client.PushNotifications.Users.ListAsync(
            new UsersListRequest {
                PageToken = "pageToken",
                PageSize = 50
            }
        );
    }

}
```

```java
package com.example.usage;

import com.twilio.comms.TwilioCommsClient;
import com.twilio.comms.resources.pushnotifications.users.requests.UsersListRequest;

public class Example {
    public static void main(String[] args) {
        TwilioCommsClient client = TwilioCommsClient
            .builder()
            .credentials("<username>", "<password>")
            .build();

        client.pushNotifications().users().list(
            UsersListRequest
                .builder()
                .pageToken("pageToken")
                .pageSize(50)
                .build()
        );
    }
}
```

```go
package example

import (
    context "context"

    twiliocomms "github.com/twilio/twilio-comms-go/twilio"
    client "github.com/twilio/twilio-comms-go/twilio/client"
    option "github.com/twilio/twilio-comms-go/twilio/option"
)

func do() {
    client := client.NewWithOptions(
        option.WithBasicAuth(
            "<username>",
            "<password>",
        ),
    )
    request := &twiliocomms.UsersListRequest{
        PageToken: twiliocomms.String(
            "pageToken",
        ),
        PageSize: twiliocomms.Int(
            50,
        ),
    }
    client.PushNotifications.Users.List(
        context.TODO(),
        request,
    )
}
```

```php
<?php

namespace Example;

use Twilio\TwilioComms;
use Twilio\PushNotifications\Users\Requests\UsersListRequest;

$client = new TwilioComms(
    accountId: '<username>',
    authToken: '<password>',
);
$client->pushNotifications->users->list(
    new UsersListRequest([
        'pageToken' => 'pageToken',
        'pageSize' => 50,
    ]),
);
```

```rb
require "twilio"

client = Twilio::Client.new(
  account_id: "<username>",
  auth_token: "<password>"
)

client.push_notifications.users.list(
  page_token: "pageToken",
  page_size: 50
)
```

```bash
curl 'https://comms.twilio.com/v1/PushNotifications/Users?pageSize=50' \
-u $TWILIO_ACCOUNT_SID:$TWILIO_AUTH_TOKEN
```

## Delete a User

`DELETE https://comms.twilio.com/v1/PushNotifications/Users/{userId}`

Delete a User by making an HTTP `DELETE` request to the User resource URI with the User ID.

If successful, returns HTTP 202 (Accepted) with a resource ID to check the result.

### Path parameters

```json
[{"schema":{"x-twilio-version":1,"title":"PushNotificationUserId","description":"A reference to a Push Notification User.","type":"string","pattern":"^comms_pushnotificationuser_[0-7][a-hjkmnpqrstv-z0-9]{25,34}","example":"comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8","refName":"PushNotificationUserId","modelName":""},"x-twilio-version":1,"name":"userId","in":"path","required":true}]
```

### Responses

<OperationResponse responses={[{"responseCode":"202","schema":{"x-twilio-version":1,"description":"The request was accepted and a resource ID is available to check the result. The response body contains the resource ID and link to the resource.","headers":{"Location":{"x-twilio-version":1,"schema":{"x-twilio-version":1,"type":"string","format":"uri","description":"The location (uri) of the resource identified by `Resource-Id`.","refName":"ResourceLocation","modelName":""},"description":"The location (uri) of the resource identified by `Resource-Id`."}},"content":{"application/json":{"schema":{"title":"Http202ResponseWithResourceBody","description":"Response body for HTTP 202 response with Resource data.","type":"object","required":["resourceId","resourceLocation"],"refName":"Http202ResponseWithResourceBody","modelName":"Http202ResponseWithResourceBody","properties":{"resourceId":{"x-twilio-version":1,"type":"string","description":"The Resource ID is an identifier for the resource that was created or updated\n  in response to the request.","refName":"ResourceId","modelName":""},"resourceLocation":{"x-twilio-version":1,"type":"string","format":"uri","description":"The location (uri) of the resource identified by `Resource-Id`.","refName":"ResourceLocation","modelName":""}}},"examples":{"DeletePushNotificationUserAccepted":{"summary":"Delete Push Notification User request accepted","x-twilio-version":1,"value":{"lang":"json","value":"{\n  \"resourceId\": \"comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8\",\n  \"resourceLocation\": \"https://comms.twilio.com/v1/PushNotifications/Users/comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8\"\n}","meta":"","code":"{\n  \"resourceId\": \"comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8\",\n  \"resourceLocation\": \"https://comms.twilio.com/v1/PushNotifications/Users/comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8\"\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"resourceId\"","#7EE787"],[":","#C9D1D9"]," ",["\"comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8\"","#A5D6FF"],[",","#C9D1D9"],"\n  ",["\"resourceLocation\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://comms.twilio.com/v1/PushNotifications/Users/comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8\"","#A5D6FF"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}}}},{"responseCode":"400","schema":{"x-twilio-version":1,"description":"This error indicates that the request content was malformed or ambiguous.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"ResourceNotFound":{"summary":"Resource not found","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20404,\n      \"message\": \"Not Found\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20404\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20404,\n      \"message\": \"Not Found\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20404\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20404","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"Not Found\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20404\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"refName":"#/components/responses/Http400Response","modelName":"__components_responses_Http400Response"}},{"responseCode":"404","schema":{"x-twilio-version":1,"description":"This error indicates that the requested resource was not found.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"ResourceNotFound":{"summary":"404 Response","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20404,\n      \"message\": \"The resource was not found.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20404\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20404,\n      \"message\": \"The resource was not found.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20404\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20404","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The resource was not found.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20404\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"refName":"#/components/responses/Http404Response","modelName":"__components_responses_Http404Response"}},{"responseCode":"429","schema":{"x-twilio-version":1,"description":"This error indicates that you have sent too many requests to the API. You should retry according to the `Retry-After` response header.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"TooManyRequests":{"summary":"Too Many Requests","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20429,\n      \"message\": \"Too many requests. Please retry according to the Retry-After response header.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20429\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20429,\n      \"message\": \"Too many requests. Please retry according to the Retry-After response header.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20429\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20429","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"Too many requests. Please retry according to the Retry-After response header.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20429\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"headers":{"Retry-After":{"schema":{"type":"string"},"description":"The amount of time in seconds that the customer should wait before issuing a new request towards the API."}},"refName":"#/components/responses/Http429Response","modelName":"__components_responses_Http429Response"}},{"responseCode":"500","schema":{"x-twilio-version":1,"description":"This error indicates that the Twilio API is experiencing server-side issues. The request should not be retried.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"InternalServerError":{"summary":"Internal Server Error","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20500,\n      \"message\": \"Internal server error.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20500\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20500,\n      \"message\": \"Internal server error.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20500\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20500","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"Internal server error.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20500\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"refName":"#/components/responses/Http500Response","modelName":"__components_responses_Http500Response"}},{"responseCode":"503","schema":{"x-twilio-version":1,"description":"This error indicates that the Twilio API is temporarily unavailable.  You should retry according to the `Retry-After` response header.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"ServiceUnavailable":{"summary":"Service Unavailable","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20503,\n      \"message\": \"Service unavailable.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20503\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20503,\n      \"message\": \"Service unavailable.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20503\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20503","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"Service unavailable.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20503\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"headers":{"Retry-After":{"schema":{"type":"string"},"description":"The amount of time in seconds that the customer should wait before issuing a new request towards the API."}},"refName":"#/components/responses/Http503Response","modelName":"__components_responses_Http503Response"}}]} path="https://comms.twilio.com/v1/PushNotifications/Users/{userId}" method="delete" specType="comms" />

Delete a PushNotification User

```ts
import { TwilioClient } from "twilio-comms";

async function main() {
    const client = new TwilioClient({
        accountId: "<username>",
        authToken: "<password>",
    });
    await client.pushNotifications.users.delete("comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8");
}
main();
```

```py
from twilio import TwilioComms

client = TwilioComms(
    account_id="<username>",
    auth_token="<password>",
)

client.push_notifications.users.delete(
    user_id="comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8",
)
```

```cs
using TwilioComms;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new TwilioCommsClient(
            accountId: "<username>",
            authToken: "<password>"
        );

        await client.PushNotifications.Users.DeleteAsync(
            "comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8"
        );
    }

}
```

```java
package com.example.usage;

import com.twilio.comms.TwilioCommsClient;

public class Example {
    public static void main(String[] args) {
        TwilioCommsClient client = TwilioCommsClient
            .builder()
            .credentials("<username>", "<password>")
            .build();

        client.pushNotifications().users().delete("comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8");
    }
}
```

```go
package example

import (
    context "context"

    client "github.com/twilio/twilio-comms-go/twilio/client"
    option "github.com/twilio/twilio-comms-go/twilio/option"
)

func do() {
    client := client.NewWithOptions(
        option.WithBasicAuth(
            "<username>",
            "<password>",
        ),
    )
    client.PushNotifications.Users.Delete(
        context.TODO(),
        "comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8",
    )
}
```

```php
<?php

namespace Example;

use Twilio\TwilioComms;

$client = new TwilioComms(
    accountId: '<username>',
    authToken: '<password>',
);
$client->pushNotifications->users->delete(
    'comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8',
);
```

```rb
require "twilio"

client = Twilio::Client.new(
  account_id: "<username>",
  auth_token: "<password>"
)

client.push_notifications.users.delete(user_id: "comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8")
```

```bash
curl -X DELETE 'https://comms.twilio.com/v1/PushNotifications/Users/{userId}' \
-u $TWILIO_ACCOUNT_SID:$TWILIO_AUTH_TOKEN
```
